Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417900 - [Docs][Admin] Document setting MaxAverageNetworkQoSValue value with engine-config tool
Summary: [Docs][Admin] Document setting MaxAverageNetworkQoSValue value with engine-co...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: unspecified
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-4.1.3
: ---
Assignee: Tahlia Richardson
QA Contact: Emma Heftman
URL:
Whiteboard:
Depends On: 1398736
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 11:39 UTC by rhev-integ
Modified: 2019-05-07 12:55 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1398736
Environment:
Last Closed: 2017-07-25 02:14:34 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description rhev-integ 2017-01-31 11:39:44 UTC
+++ This bug is an upstream to downstream clone. The original bug is: +++
+++   bug 1398736 +++
======================================================================

Description of problem:
I want to create a new VM/Host network QoS related to a 10G nic, but there is an issue that says : "the field must contain an integer nulber between 0 and 1024" when filling with a superior value to a 1G nic.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. go to Datacenter -> QoS substab -> VM/Host network
2. average, peak or burst are limited to 1024Mbps
3.

Actual results:


Expected results:
should be superior to 1024Mbps when using a 10G nic.

Additional info:

(Originally by exploit)

Comment 1 rhev-integ 2017-01-31 11:39:57 UTC
The maximum values for those fields are controlled by the config keys below and can be modified by running ./bin/engine-setup -s <config key>=<config value> from the ovirt-engine home directory.

The config value should be an integer and will be used as the inclusive upper boundary for the specified field. Note that if you modify the values while the engine is running, you will need to restart it in order for the changes to take effect.

UI Element Label => Config Key

VM QoS Popup:
Average => MaxAverageNetworkQoSValue
Peak    => MaxPeakNetworkQoSValue
Burst   => MaxBurstNetworkQoSValue

Host QoS Popup:
Rate Limit     => OutAverageUpperlimit
Committed Rate => OutAverageRealtime

(Originally by Phillip Bailey)

Comment 3 rhev-integ 2017-01-31 11:40:05 UTC
(In reply to Phillip Bailey from comment #1)
> The maximum values for those fields are controlled by the config keys below
> and can be modified by running ./bin/engine-setup -s <config key>=<config
> value> from the ovirt-engine home directory.
> 
> The config value should be an integer and will be used as the inclusive
> upper boundary for the specified field. Note that if you modify the values
> while the engine is running, you will need to restart it in order for the
> changes to take effect.
> 
> UI Element Label => Config Key
> 
> VM QoS Popup:
> Average => MaxAverageNetworkQoSValue
> Peak    => MaxPeakNetworkQoSValue
> Burst   => MaxBurstNetworkQoSValue
> 
> Host QoS Popup:
> Rate Limit     => OutAverageUpperlimit
> Committed Rate => OutAverageRealtime

engine-config -s OutAverageUpperlimit=10000
Error setting OutAverageUpperlimit's value. No such entry

Seems that OutAverageUpperlimit or OutAverageRealtime parameter don't still exist, so it is still not possible to modify Host QoS limit.

(Originally by exploit)

Comment 4 rhev-integ 2017-01-31 11:40:13 UTC
Moving back to SLA to allow doing this in engine config.

(Originally by Yaniv Dary)

Comment 5 rhev-integ 2017-01-31 11:40:19 UTC
(In reply to exploit from comment #2)

> > Host QoS Popup:
> > Rate Limit     => OutAverageUpperlimit
> > Committed Rate => OutAverageRealtime
> 
> engine-config -s OutAverageUpperlimit=10000
> Error setting OutAverageUpperlimit's value. No such entry
> 
> Seems that OutAverageUpperlimit or OutAverageRealtime parameter don't still
> exist, so it is still not possible to modify Host QoS limit.

I apologize. I made a mistake in comment 1. The maximum value for both of the Host QoS fields are controlled by the same config key that controls the VM Average Network QoS field: MaxAverageNetworkQoSValue.

Please try this and let me know if it is successful or not.

(Originally by Phillip Bailey)

Comment 6 rhev-integ 2017-01-31 11:40:26 UTC
(In reply to Phillip Bailey from comment #4)
> (In reply to exploit from comment #2)
> 
> > > Host QoS Popup:
> > > Rate Limit     => OutAverageUpperlimit
> > > Committed Rate => OutAverageRealtime
> > 
> > engine-config -s OutAverageUpperlimit=10000
> > Error setting OutAverageUpperlimit's value. No such entry
> > 
> > Seems that OutAverageUpperlimit or OutAverageRealtime parameter don't still
> > exist, so it is still not possible to modify Host QoS limit.
> 
> I apologize. I made a mistake in comment 1. The maximum value for both of
> the Host QoS fields are controlled by the same config key that controls the
> VM Average Network QoS field: MaxAverageNetworkQoSValue.
> 
> Please try this and let me know if it is successful or not.

Thank you it works fine

(Originally by exploit)

Comment 12 Lucy Bopf 2017-06-20 05:26:50 UTC
Assigning to Tahlia for review.

Comment 14 Emma Heftman 2017-07-13 11:39:46 UTC
Verified and merged.


Note You need to log in before you can comment on or make changes to this bug.